##
##  lessjs.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         lessjs
Summary:      Less Style-Sheet Language
URL:          http://lesscss.org/
Vendor:       Alexis Sellier
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      Apache
Version:      3.11.3
Release:      20200606

#   list of sources
Source0:      https://github.com/less/less.js/archive/v%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  node
PreReq:       node

%description
    LESS is a dynamic stylesheet language which run-time or build-time
    compiles down to regular Cascading Style Sheets (CSS).

%track
    prog lessjs = {
        version   = %{version}
        url       = https://github.com/less/less.js/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n less.js-%{version}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/lessjs \
        $RPM_BUILD_ROOT%{l_prefix}/share/lessjs
    %{l_shtool} install -c -m 755 \
        -e 's;\.\./lib/less-node;%{l_prefix}/lib/lessjs/less-node;g' \
        -e 's;\.\./lib/less;%{l_prefix}/lib/lessjs/less;g' \
        -e 's;/usr/bin/env node;%{l_prefix}/bin/node;' \
        bin/lessc $RPM_BUILD_ROOT%{l_prefix}/bin/
    cp -r lib/less lib/less-node \
        $RPM_BUILD_ROOT%{l_prefix}/lib/lessjs/
    %{l_shtool} install -c -m 644 \
        dist/less.js \
        dist/less.min.js \
        $RPM_BUILD_ROOT%{l_prefix}/share/lessjs/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

